<?php

namespace App\Policies;

use App\Models\Promoter;
use App\Models\User;

class PromoterPolicy
{
    public function viewAny(User $user): bool
    {
        return $user->isSuperAdmin();
    }

    public function view(User $user, Promoter $promoter): bool
    {
        return $user->isSuperAdmin();
    }

    public function create(User $user): bool
    {
        return $user->isSuperAdmin();
    }

    public function update(User $user, Promoter $promoter): bool
    {
        return $user->isSuperAdmin();
    }

    public function delete(User $user, Promoter $promoter): bool
    {
        return $user->isSuperAdmin();
    }

    public function approve(User $user, Promoter $promoter): bool
    {
        return $user->isSuperAdmin();
    }
}
